## ubuntu-express 0.3

=== debian/changelog ===
ubuntu-express (0.3) breezy; urgency=low

  * Regenerate the kernel initrd

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 13 Jun 2005 19:29:08 -0700

ubuntu-express (0.2) breezy; urgency=low

  * Add dependencies

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 13 Jun 2005 18:51:09 -0700

ubuntu-express (0.1) breezy; urgency=low

  * Initial release

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  7 Jun 2005 16:03:17 -0700
