=== debian/control ===
Source: ubuntu-express
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.1

Package: ubuntu-express
Architecture: all
Depends: python, debconf (>= 1.4.50ubuntu3)
Description: Simplified Ubuntu installation system
 Ubuntu Express is an application which works with the Ubuntu live CD
 and provides a fast and simple way to install Ubuntu to a hard disk.
